Page MenuHomePhabricator

Sort out places for MediaWiki and Wikimedia tech presentations
Closed, ResolvedPublic

Description

This task requires organization skills - like cleaning up a messy place. :)

We have many places related to MediaWiki and Wikimedia tech presentations.

  • Check the current situation and content of each pages, see links below.
  • Potentially check "What links here" for each page to understand which pages are "how popular" - might influence which page(s) to keep but also consider the specific scope that each of the sites (mediawiki.org as developer audience, meta.wikimedia.org as Wikimedia-wide audience, commons.wikimedia.org as a free media storage place) have.
  • Come up with a plan how to reduce the number of places (e.g. merging/moving some content; set up a page redirect when killing a page). This might need several iterations ad feedback from GCI mentors.
  • As a seperate step, after having received feedback on/a review of that plan and agreement, proceed with it (this might include creating redirects of pages).

Relevant links to presentations: See meta:Presentations, mw:Presentations, commons:Category:Wikimedia presentations, commons:Category:MediaWiki.

Event Timeline

Qgil created this task.Dec 31 2014, 10:09 AM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil added subscribers: Aklapper, Qgil.
Aklapper updated the task description. (Show Details)Aug 26 2015, 10:34 PM
Aklapper set Security to None.
Qgil added a comment.Sep 17 2015, 9:02 AM

I wonder whether Google Code-in could be of any help here.

Aklapper updated the task description. (Show Details)Oct 27 2015, 6:17 PM
Aklapper added a project: Google-Code-In-2015.

I'd mentor this task in Google-Code-In-2015.

Aklapper renamed this task from Sort out MediaWiki and Wikimedia tech presentations to Sort out places for MediaWiki and Wikimedia tech presentations.Dec 3 2015, 5:19 PM
Aklapper updated the task description. (Show Details)
husn_shujaat added a subscriber: husn_shujaat.EditedDec 21 2015, 7:44 PM

Hello!
I have come up with few plans for this task:
https://meta.wikimedia.org/wiki/Presentations/en: the first two columns should be merged, the file name should link to the file and its type can be mentioned in ().
This table should also include the files from standard executive WMF presentations under presentation resources.
Presentations tagged on slideshares, I could pic out English presentation slides

wikitech.wikimedia.org should open directly to https://www.mediawiki.org/wiki/Presentations and also renamed.
Obviously, remove red links and make the table in metawiki sortable

Plus, do you think 'short videos featuring Wikimedia community members' should be changed to 'youtube channel of wikimedia foundation' (does the link really open to the channel? Because youtube is blocked in my country and I am guessing its a channel from the link)

should I go ahead and do this?

should I go ahead and do this?

Let's really first have a solid plan in place.

I'm very tempted to reduce the scope of this task to only coming up with a plan but not "implementing it", because the planning is already more complicated than I thought and I don't want to block too much of your time and efforts. :)

I have come up with few plans for this task:

Thank you! In general I recommend to always link to each page whenever you talk about a page, just to avoid misunderstandings when we deal with so many different pages. :)

https://meta.wikimedia.org/wiki/Presentations/en: the first two columns should be merged, the file name should link to the file and its type can be mentioned in ().

For the time being, let's ignore design details (list vs. gallery vs. table) and let's first sort out which content on which pages should end up on which page(s) with which organization/sorting.

This table should also include the files from standard executive WMF presentations under "presentation resources".

...which is currently content on outdated https://wikimediafoundation.org/wiki/Press_room/WMF_Presentations .
After doing that, what should happen to https://wikimediafoundation.org/wiki/Press_room/WMF_Presentations ? Should it redirect to https://meta.wikimedia.org/wiki/Presentations ? Or what is your proposal to avoid duplicated content?

Presentations tagged on slideshares, I could pic out English presentation slides

Currently this is linked from https://meta.wikimedia.org/wiki/Presentations and as that is not /en it is not about English presentations specifically. Let's first sort out our existing on-wiki content and on-wiki pages. We can always care about stuff on external pages (like Slideshare") afterwards.

wikitech.wikimedia.org should open directly to https://www.mediawiki.org/wiki/Presentations and also renamed.

It already is a "soft" redirect which is fine. What do you mean by "also renamed" exactly? Which page should be renamed to what?

Obviously, remove red links

Which table currently has red links?

and make the table in metawiki sortable

https://meta.wikimedia.org/wiki/Presentations/en seems to be sortable already. Or which page do you refer to exactly?

Plus, do you think 'short videos featuring Wikimedia community members' should be changed to 'youtube channel of wikimedia foundation' (does the link really open to the channel?

Yes it should be and this is a very good idea because the scope of that channel seems to have increased in the meantime!

What are your thoughts about https://commons.wikimedia.org/wiki/Category:Wikimedia_presentations and https://commons.wikimedia.org/wiki/Category:MediaWiki_presentation_slides (linked from https://commons.wikimedia.org/wiki/Category:MediaWiki ) as they are also listed in the task description here but it seems you have not covered them yet? :)

Aklapper updated the task description. (Show Details)Dec 23 2015, 6:11 PM
husn_shujaat added a comment.EditedDec 23 2015, 9:15 PM

aahh, I see.

what is your proposal to avoid duplicated content?

I propose, that maybe we could https://wikimediafoundation.org/wiki/Press_room/WMF_Presentations, thats only what I could think. And if its outdated, what does one do to update it?

Okay, what do we 'exactly' want for the users? Why are we organizing this? (Their answers can do half of planning)

For simple planning, I'd say put all wikimedia presentation content on https://meta.wikimedia.org/wiki/Presentations, including stuff at https://commons.wikimedia.org/wiki/Category:Wikimedia_presentations and then further divide it by topics. For the random pictures, we can have a separate gallery

Put all the content of mediawiki, the software, on https://www.mediawiki.org/wiki/Presentations, including everything from https://commons.wikimedia.org/wiki/Category:MediaWiki_presentation_slides and then divide it topic-wise, rather than years.

Plus, I'd really like to talk more interactively on freenode.net :)

wikipedia, wikisource and wiktionary can be considered under wikimedia

Hi husn_shujaat, could you please reply to my questions in T85593#1901365 ? Thanks!

what is your proposal to avoid duplicated content?

I propose, that maybe we could https://wikimediafoundation.org/wiki/Press_room/WMF_Presentations, thats only what I could think. And if its outdated, what does one do to update it?

It is "kept for historical reasons" so there is no need to update it but instead probably merge/move its relevant content into other pages which might have superseded that page. :)

Okay, what do we 'exactly' want for the users? Why are we organizing this? (Their answers can do half of planning)

See the description of this task: We want make it easier for our audience(s) to find presentations which are relevant to them.

For simple planning, I'd say put all wikimedia presentation content on https://meta.wikimedia.org/wiki/Presentations, including stuff at https://commons.wikimedia.org/wiki/Category:Wikimedia_presentations and then further divide it by topics.

As Wikimedia Commons hosts freely usable media files we won't "put all content" onto meta (if "put" here actually means "move") but we should link instead.

Do you have an example for any "topics" that you see / identify?

Put all the content of mediawiki, the software, on https://www.mediawiki.org/wiki/Presentations, including everything from https://commons.wikimedia.org/wiki/Category:MediaWiki_presentation_slides and then divide it topic-wise, rather than years.

If "put" means "link" that indeed sounds like an idea, thanks!

Plus, I'd really like to talk more interactively on freenode.net :)

I know, me too. :( I am sorry for that - right now I'm visiting family members and the internet here is a bit unstable plus not always available...

I propose, that maybe we could https://wikimediafoundation.org/wiki/Press_room/WMF_Presentations, thats only what I could think. And if its outdated, what does one do to update it?

It is "kept for historical reasons" so there is no need to update it but instead probably merge/move its relevant content into other pages which might have superseded that page. :)

It's already linked in https://meta.wikimedia.org/wiki/Presentations, so we can leave it there for a while or merge the content on meta.wiki presentations's english table (assuming all of resources are in english)

See the description of this task: We want make it easier for our audience(s) to find presentations which are relevant to them.

I see, so we can divide the presentation material into two main pages/categories, mediawiki and wikimedia. :)

As Wikimedia Commons hosts freely usable media files we won't "put all content" onto meta (if "put" here actually means "move") but we should link instead.

yes, that is great! we can link the files in meta.wikimedia, it'll save a lot of time too.

Do you have an example for any "topics" that you see / identify?

ehh, I take that one back, I really can't come up with any topic, the presentations are so diverse! :D
How about we rather, in wikimedia, divide it according to wikipedia, wikidata, wikimania and the rest can be miscellaneous.

If "put" means "link" that indeed sounds like an idea, thanks!

yay! finally up with a good idea :)

I know, me too. :( I am sorry for that - right now I'm visiting family members and the internet here is a bit unstable plus not always available...

oh my gosh, I'm disturbing a family vacation, i feel so guilty :(, but it's GCI after all. :/

@husn_shujaat: This sounds like we've made some progress here and these thoughts will definitely help us to move further. Please feel very free to set the task to "ready for review" in GCI. :)

oh my gosh, I'm disturbing a family vacation

Don't worry. There are also breaks from seeing family. :D

@Aklapper :) Okay, but don't I have to do more, like link in the pages/files?

As I wrote, I first want to have a good, convincing, complete concept in place. Only after that we can actually change page content. :)

I would still like to keep working on this! :)

Qgil added a comment.Jan 27 2016, 8:12 AM

@husn_shujaat, I'm really sorry that we didn't have good answers for you, and I take my good share of responsibility on this.

I wonder whether you are still interested in helping organizing training and educational content in mediawiki.org, at a different pace? We cannot offer Google Code-in prices, but I assure you that whoever takes this task will learn a lot, and will help others learning a lot. While with miss a driver (who could be you), we have enough experts around that could help such driver.

What do you think?

@Qgil I think that is a great idea! I've always wanted to work with WMF, it's just that I didn't know where to start when I didn't have GCI tasks.
I would love to keep working here. :)

@Qgil So, where and how do I get started?

I think it's best to continue with this, properly organizing tech presentations.

@husn_shujaat sorry for the silence. The past weeks have been pretty intense. If you are still interested, let's talk.

Sorry from me too :( I had pre-board exams.
Yeah, I'm totally interested in organizing all the stuff.
We should fix a time (in GMT or UTC) where we could discuss the plan.

Qgil added a comment.Aug 2 2016, 10:25 AM

Here is another approach to this task: let's focus on assuring that current and future presentations are properly published in their related mediawiki.org pages. At least we will avoid making this problem bigger.

For instance, Wikimania 2016 is still fresh. @husn_shujaat, would you be interested in going through https://commons.wikimedia.org/wiki/Category:Wikimania_2016_presentations and featuring the technical presentations in their corresponding wiki pages?

Agreed. The latest presentation are more likely to gain better viewership.
I went through more than half of the files at https://commons.wikimedia.org/wiki/Category:Wikimania_2016_presentations and all of them are in their corresponding wiki pages at the wikimania 2016 wiki.
Where else should these files be featured?

Thank you for working on this task, @husn_shujaat ! I am assigning it to you accordingly.

The next step would be to check the presentations that are technical and find their corresponding page in mediawiki.org in order to feature them there. Non-technical presentations are out of scope for this task.

I think the three following presentations were technical and fitted in their corresponding wiki pages:

wikidataa in wikipedia in Extension:WikiLexicalData

Dynamic SVG in SVG

Lessons learned building machine learning models in Ores

Qgil added a comment.Aug 12 2016, 10:20 AM

Very good! Feel free to edit the corresponding pages featuring the presentations. Let me know if you need help inserting the images and footers. Nowadays it should be quite simple with the visual editor.

Qgil added a comment.Oct 4 2016, 10:35 AM

@husn_shujaat do you want to keep working on this task during this quarter?

Qgil removed husn_shujaat as the assignee of this task.Sep 12 2017, 9:25 AM

Considering our focus on onboarding new developers and our current work on T169599: Sort out concept for overview/entrance pages targeting our developer audience and related tasks... I think that our current approach is correct (think of presentations useful for new developers and embed them where they will be seen), as opposed to the approach I proposed for this task (go through all the presentations and find the right pages for each to be embedded.

Therefore, I propose to decline this task. We Developer-Advocacy should check systematically at new presentations (most of them happening in events we (co-)organize) considering whether they would be useful to complement existing documentation.

srodlund closed this task as Resolved.Thu, Aug 22, 9:00 AM
srodlund claimed this task.
srodlund added a subscriber: srodlund.

There is a process in place for this now: https://www.mediawiki.org/wiki/Wikimedia_Technical_Talks

Quiddity added a subscriber: Quiddity.EditedThu, Aug 22, 9:07 AM

I've added a few of the links that were still missing, into that page.